<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: Log Service</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Log Service</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g68626326af217e390169428e10850a48"></a><!-- doxytag: member="EDMA3::ARG1" ref="g68626326af217e390169428e10850a48" args="(arg1)" -->
#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>ARG1</b>(arg1)&nbsp;&nbsp;&nbsp;(arg1 &lt;&lt; 8)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="gd70afc6e024c7819e366741a7a666a38"></a><!-- doxytag: member="EDMA3::ARG2" ref="gd70afc6e024c7819e366741a7a666a38" args="(arg2)" -->
#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>ARG2</b>(arg2)&nbsp;&nbsp;&nbsp;(arg2 &lt;&lt; 16)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g518b05a235241dd1d0dbc30e345c715a"></a><!-- doxytag: member="EDMA3::ARG3" ref="g518b05a235241dd1d0dbc30e345c715a" args="(arg3)" -->
#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>ARG3</b>(arg3)&nbsp;&nbsp;&nbsp;(arg3 &lt;&lt; 24)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g65b32441f73954c4b3c7ead14ec4342f"></a><!-- doxytag: member="EDMA3::EDMA3_DVT_DESC" ref="g65b32441f73954c4b3c7ead14ec4342f" args="(event, arg1, arg2, arg3)" -->
#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>EDMA3_DVT_DESC</b>(event, arg1, arg2, arg3)&nbsp;&nbsp;&nbsp;(event | ARG1(arg1) | ARG2(arg2) | ARG3(arg3))</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g484fce4a0be2e988ac559bfae0e94e90"></a><!-- doxytag: member="EDMA3::EDMA3_LOG_EVENT" ref="g484fce4a0be2e988ac559bfae0e94e90" args="" -->
#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>EDMA3_LOG_EVENT</b>&nbsp;&nbsp;&nbsp;LOG_printf4</td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><b>EDMA3_logEventType</b> { <br>
&nbsp;&nbsp;<b>EDMA3_DVT_eINT</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eINT_START</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eINT_END</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eFUNC</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eFUNC_START</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eFUNC_END</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_ePACKET_START</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_ePACKET_END</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eDATA_SND</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eDATA_SND_START</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eDATA_SND_END</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eDATA_RCV</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eRCV_START</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eRCV_END</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eSMPL_COUNTER</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eEVENT</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eEVENT_START</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_eEVENT_END</b>
<br>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><b>EDMA3_logDataDesc</b> { <br>
&nbsp;&nbsp;<b>EDMA3_DVT_dNONE</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dINST</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dINITIATOR</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dMSG_ID</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dCOUNTER</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dSIZE_BYTES</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dSIZE_WORDS</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dPADD</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dDADD</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dDATA</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dPACKET_ID</b>, 
<br>
&nbsp;&nbsp;<b>EDMA3_DVT_dCHANNEL_ID</b>
<br>
 }</td></tr>

<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g7eb0d48c8977841b5d9baa9a88ec1dcc"></a><!-- doxytag: member="EDMA3::DVTEvent_Log" ref="g7eb0d48c8977841b5d9baa9a88ec1dcc" args="" -->
far LOG_Obj&nbsp;</td><td class="memItemRight" valign="bottom"><b>DVTEvent_Log</b></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
EDMA3 error/event/message logging/tracing service </div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
